Imports istia.st.cmv
Imports System.Windows.Forms

Namespace istia.st.cmv.appli
	Public Class VueSaisir
		Inherits BaseVueAppli

#Region " Code gnr par le Concepteur Windows Form "

		Public Sub New()
			MyBase.New()

			'Cet appel est requis par le Concepteur Windows Form.
			InitializeComponent()

			'Ajoutez une initialisation quelconque aprs l'appel InitializeComponent()

		End Sub

		'La mthode substitue Dispose du formulaire pour nettoyer la liste des composants.
		Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If Not (components Is Nothing) Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		'Requis par le Concepteur Windows Form
		Private components As System.ComponentModel.IContainer

		'REMARQUE: la procdure suivante est requise par le Concepteur Windows Form
		'Elle peut tre modifie en utilisant le Concepteur Windows Form.  
		'Ne la modifiez pas en utilisant l'diteur de code.
		Friend WithEvents Label1 As System.Windows.Forms.Label
		Friend WithEvents TextBoxSaisie As System.Windows.Forms.TextBox
		Friend WithEvents ButtonMmoriser As System.Windows.Forms.Button
		Friend WithEvents ButtonConsulter As System.Windows.Forms.Button
		Friend WithEvents ButtonQuitter As System.Windows.Forms.Button
		Friend WithEvents LabelEtat As System.Windows.Forms.Label
		<System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
			Me.Label1 = New System.Windows.Forms.Label
			Me.TextBoxSaisie = New System.Windows.Forms.TextBox
			Me.ButtonMmoriser = New System.Windows.Forms.Button
			Me.ButtonConsulter = New System.Windows.Forms.Button
			Me.ButtonQuitter = New System.Windows.Forms.Button
			Me.LabelEtat = New System.Windows.Forms.Label
			Me.SuspendLayout()
			'
			'Label1
			'
			Me.Label1.Location = New System.Drawing.Point(32, 24)
			Me.Label1.Name = "Label1"
			Me.Label1.Size = New System.Drawing.Size(104, 23)
			Me.Label1.TabIndex = 0
			Me.Label1.Text = "Tapez un texte :"
			'
			'TextBoxSaisie
			'
			Me.TextBoxSaisie.Location = New System.Drawing.Point(32, 65)
			Me.TextBoxSaisie.Name = "TextBoxSaisie"
			Me.TextBoxSaisie.Size = New System.Drawing.Size(240, 20)
			Me.TextBoxSaisie.TabIndex = 1
			Me.TextBoxSaisie.Text = ""
			'
			'ButtonMmoriser
			'
			Me.ButtonMmoriser.Location = New System.Drawing.Point(21, 104)
			Me.ButtonMmoriser.Name = "ButtonMmoriser"
			Me.ButtonMmoriser.TabIndex = 2
			Me.ButtonMmoriser.Text = "Mmoriser"
			'
			'ButtonConsulter
			'
			Me.ButtonConsulter.Location = New System.Drawing.Point(109, 104)
			Me.ButtonConsulter.Name = "ButtonConsulter"
			Me.ButtonConsulter.TabIndex = 3
			Me.ButtonConsulter.Text = "Consulter"
			'
			'ButtonQuitter
			'
			Me.ButtonQuitter.Location = New System.Drawing.Point(197, 104)
			Me.ButtonQuitter.Name = "ButtonQuitter"
			Me.ButtonQuitter.TabIndex = 4
			Me.ButtonQuitter.Text = "Quitter"
			'
			'LabelEtat
			'
			Me.LabelEtat.ForeColor = System.Drawing.Color.Red
			Me.LabelEtat.Location = New System.Drawing.Point(14, 144)
			Me.LabelEtat.Name = "LabelEtat"
			Me.LabelEtat.Size = New System.Drawing.Size(264, 23)
			Me.LabelEtat.TabIndex = 5
			Me.LabelEtat.Text = "Consultation en cours. Veuillez patienter..."
			Me.LabelEtat.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
			'
			'VueSaisir
			'
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(292, 190)
			Me.ControlBox = True
			Me.Controls.Add(Me.LabelEtat)
			Me.Controls.Add(Me.ButtonQuitter)
			Me.Controls.Add(Me.ButtonConsulter)
			Me.Controls.Add(Me.ButtonMmoriser)
			Me.Controls.Add(Me.TextBoxSaisie)
			Me.Controls.Add(Me.Label1)
			Me.Name = "VueSaisir"
			Me.Text = "Saisir"
			Me.ResumeLayout(False)

		End Sub

#End Region

		Public Overrides Sub affiche()
			' on cache le label d'tat
			LabelEtat.Visible = False
			' affiche classe parente
			MyBase.affiche()
		End Sub

		' on mmorise le texte saisi
		Private Sub ButtonMmoriser_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonMmoriser.Click
			Dim texte As String = TextBoxSaisie.Text.Trim
			' texte non vide
			If texte = "" Then
				MessageBox.Show("Vous n'avez pas tap de texte", "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Information)
				Exit Sub
			End If
			' mmorisation dans la session
			session.textes.Add(texte)
			' nettoyage
			TextBoxSaisie.Text = ""
		End Sub

		Private Sub ButtonConsulter_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonConsulter.Click
			' on affiche le label d'tat
			LabelEtat.Visible = True
			' on passe la main au contrleur
			MyBase.excuteAction("consulter")
		End Sub

		Private Sub ButtonQuitter_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonQuitter.Click
			' on passe la main au contrleur
			MyBase.excuteAction("quitter")
		End Sub
	End Class

End Namespace
